Subject: Re: [PATCH v3 1/4] ARM: use arch_extension directive instead of arch argument

From: Olof Johansson <[email-masked]>
Date: Thu, 16 May 2019 14:48:19 -0700

On Wed, Apr 24, 2019 at 07:12:17AM -0700, Tony Lindgren wrote:
> * Stefan Agner <[email-masked]> [190423 20:20]:
> > On 11.04.2019 09:54, Stefan Agner wrote:
> > > The LLVM Target parser currently does not allow to specify the security
> > > extension as part of -march (see also LLVM Bug 40186 [0]). When trying
> > > to use Clang with LLVM's integrated assembler, this leads to build
> > > errors such as this:
> > >   clang-8: error: the clang compiler does not support '-Wa,-march=armv7-a+sec'
> > > 
> > > Use ".arch_extension sec" to enable the security extension in a more
> > > portable fasion. Also make sure to use ".arch armv7-a" in case a v6/v7
> > > multi-platform kernel is being built.
> > > 
> > > Note that this is technically not exactly the same as the old code
> > > checked for availabilty of the security extension by calling as-instr.
> > > However, there are already other sites which use ".arch_extension sec"
> > > unconditionally, hence de-facto we need an assembler capable of
> > > ".arch_extension sec" already today (arch/arm/mm/proc-v7.S). The
> > > arch extension "sec" is available since binutils 2.21 according to
> > > its documentation [1].
> > > 
> > > [0] https://bugs.llvm.org/show_bug.cgi?id=40186
> > > [1] https://sourceware.org/binutils/docs-2.21/as/ARM-Options.html
> > > 
> > > Signed-off-by: Stefan Agner <[email-masked]>
> > > Acked-by: Mans Rullgard <[email-masked]>
> > > Acked-by: Arnd Bergmann <[email-masked]>
> > > Acked-by: Krzysztof Kozlowski <[email-masked]>
> > 
> > Arnd, Tony,
> > 
> > Patch 3 and 4 got merged by Gregory. I think the other two patches are
> > ready to be merged too. I think they should go in together to avoid
> > merge conflicts. Tony, if you agree, can you Ack patch 2 so they can get
> > merged through arm-soc?
> 
> Sure I just acked it for you.

Hi,

These came in right around when I did the last patches for this merge
window. I'll apply them once -rc1 is out for next release.

-Olof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel